Skip to main content
PATCH
/
chats
/
{userUuid}
Update chat properties
curl --request PATCH \
  --url https://api.fanvue.com/chats/{userUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "isRead": true,
  "isMuted": true,
  "nickname": "string"
}
'
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

userUuid
string<uuid>
required

Body

application/json
isRead
boolean

Whether the chat should be marked as read (true) or unread (false)

isMuted
boolean

Whether the chat should be muted (true) or unmuted (false)

nickname
string

Custom nickname for the chat counterpart (max 30 characters)

Maximum string length: 30

Response

Chat updated successfully